import { SSHModel } from '@/route/ssh/model.ts';
export const data = {
  remote: 'nisar',
  description: 'diana的项目ssl -l关联',
  configs: [
    {
      localPort: 3000,
      remoteHost: 'localhost',
      remotePort: 3000,
      description: 'openweb ui',
      status: 'active',
    },
    {
      localPort: 5244,
      remoteHost: 'localhost',
      remotePort: 5244,
      description: 'alist',
      status: 'inactive',
    },
    {
      localPort: 3003,
      remoteHost: 'localhost',
      remotePort: 3003,
      description: 'onai py llm api',
      status: 'active',
    },
    {
      localPort: 3004,
      remoteHost: 'localhost',
      remotePort: 3004,
      description: 'onai ui',
      status: 'active',
    },
    {
      localPort: 4002,
      remoteHost: 'localhost',
      remotePort: 4002,
      description: 'codeflow api',
      status: 'active',
    },
    {
      localPort: 8000,
      remoteHost: 'localhost',
      remotePort: 8000,
      description: 'parsex python api',
      status: 'active',
    },
    {
      localPort: 9092,
      remoteHost: 'localhost',
      remotePort: 9092,
      description: 'kafka',
      status: 'inactive',
    },
    {
      localPort: 9200,
      remoteHost: 'localhost',
      remotePort: 9200,
      description: 'elasticsearch',
      status: 'active',
    },
  ],
};

const main = async () => {
  const { remote, description, configs } = data;
  let ssh = await SSHModel.findOne({ where: { remote } });
  if (!ssh) {
    ssh = await SSHModel.create({ description, configs, remote });
  }
  await ssh.update({ description, configs }, { where: { remote } });
};

main();
